Get Plan Virtual Machine Recovery Settings
Get recovery settings for a protected virtual machine.
The ID of a pairing between this Site Recovery Manager server and remote one
The ID of a recovery plan defined within current pairing
The ID of a virtual machine
Details about recovery settings of a protected virtual machine.
{
"recovery_settings": {
"ip_customization_type": "string",
"nic_settings": [
{
"device_id": 0,
"primary_ip_settings": {
"ip_v4": {
"ip_address": "string",
"type": "string",
"default_gateway": "string",
"alternate_gateway": "string",
"subnet_mask": "255.255.255.0"
},
"ip_v6": {
"ip_address": "fdda:5cc1:23:4::1f",
"type": "string",
"default_gateway": "string",
"alternate_gateway": "string",
"subnet_prefix_length": 0
},
"dns": {
"type": "string",
"preferred_server": "string",
"alternate_server": "string",
"suffixes": [
"string"
]
},
"wins": {
"primary_server": "string",
"alternate_server": "string"
}
},
"secondary_ip_settings": {
"ip_v4": {
"ip_address": "string",
"type": "string",
"default_gateway": "string",
"alternate_gateway": "string",
"subnet_mask": "255.255.255.0"
},
"ip_v6": {
"ip_address": "fdda:5cc1:23:4::1f",
"type": "string",
"default_gateway": "string",
"alternate_gateway": "string",
"subnet_prefix_length": 0
},
"dns": {
"type": "string",
"preferred_server": "string",
"alternate_server": "string",
"suffixes": [
"string"
]
},
"wins": {
"primary_server": "string",
"alternate_server": "string"
}
}
}
],
"priority": "string",
"startup_action": "string",
"shutdown_action_settings": {
"skip_shutdown_guest": false,
"timeout_seconds": 0
},
"pre_power_on_steps": [
{
"name": "string",
"content": "string",
"callout_type": "string",
"timeout_seconds": 0,
"step_type": "string",
"id": "string"
}
],
"post_power_on_steps": [
{
"name": "string",
"content": "string",
"callout_type": "string",
"timeout_seconds": 0,
"step_type": "string",
"id": "string"
}
],
"startup_action_settings": {
"power_on_vmtools_timeout_seconds": 0,
"delay_before_power_on_steps_and_dependent_vms_seconds": 0
},
"dependent_vms": [
{
"id": "string",
"name": "string",
"template": false,
"inside_vapp": false,
"status": "string",
"priority_group": "string",
"protection_group_name": "string"
}
],
"change_version": 0,
"vm_tools_status": "string",
"allow_vmotion_migration": false
},
"status": "string",
"protection_group_support_vmotion": false,
"vmotion_migration_supported": false,
"_meta": {
"errors": [
{
"code": "string",
"message": "string",
"field": "string"
}
]
}
}
Bad request - the server cannot understand the request due to invalid syntax or invalid request body content
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Unauthorized - the client must authenticate itself to get the requested response
Forbidden - not sufficient access rights to fulfill the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Not Found - server cannot find the requested in URL resource
Internal server error - unexpected condition prevents fulfilling the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
curl -H 'Authorization: <value>' https://{api_host}/pairings/{pairing_id}/recovery-management/plans/{plan_id}/vms/{vm_id}/recovery-settings